Skip to content

Add event facilitator

PUT
/api/events/{eventid}/facilitators/{facilitatorid}
curl --request PUT \
--url https://api.eventpoint.io/api/events/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/facilitators/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '{ "facilitatorTypeIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "itemOrder": 1 }'
eventid
required
string format: uuid

The event identifier.

facilitatorid
required
string format: uuid

The facilitator identifier.

The facilitator types and optional display order.

object
facilitatorTypeIds
Array<string> | null
itemOrder
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
Examplegenerated
{
"facilitatorTypeIds": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"itemOrder": 1
}

OK

object
data
boolean
message
null | string
success
boolean
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/

Bad Request

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string

Forbidden

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string

Not Found

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string